############################################################
# -*- coding: utf-8 -*-
#
#       #   #  #   #   #    #
#      ##  ##  #  ##  #    #
#     # # # #  # # # #    #  #
#    #  ##  #  ##  ##    ######
#   #   #   #  #   #       #
#
# Python-based Tool for interaction with the 10micron mounts
# GUI with PySide for python
#
# written in python3, (c) 2019-2025 by mworion
# Licence APL2.0
#
###########################################################
# standard libraries

# external packages

# local imports

colors = {
    "M_TRANS": [
        "#00000000",
        "#00000000",
        "#00000000",
        "#00000000",
    ],
    "M_PRIM": [
        "#2090C0",
        "#2090C0",
        "#C05050",
        "#000000",
    ],
    "M_PRIM1": [
        "#186C90",
        "#186C90",
        "#903838",
        "#C0C0C0",
    ],
    "M_PRIM2": [
        "#104860",
        "#104860",
        "#602828",
        "#A0A0A0",
    ],
    "M_PRIM3": [
        "#092B39",
        "#092B39",
        "#481C1C",
        "#808080",
    ],
    "M_PRIM4": [
        "#04151C",
        "#04151C",
        "#241010",
        "#404040",
    ],
    "M_SEC": [
        "#404040",
        "#202020",
        "#402020",
        "#A0A0A0",
    ],
    "M_SEC1": [
        "#282828",
        "#101010",
        "#201010",
        "#C0C0C0",
    ],
    "M_TER": [
        "#C0C0C0",
        "#C0C0C0",
        "#E00000",
        "#101010",
    ],
    "M_TER1": [
        "#A0A0A0",
        "#A0A0A0",
        "#A00000",
        "#404040",
    ],
    "M_TER2": [
        "#808080",
        "#808080",
        "#800000",
        "#606060",
    ],
    "M_BACK": [
        "#181818",
        "#1C1C1C",
        "#181818",
        "#E0E0E0",
    ],
    "M_BACK1": [
        "#101010",
        "#181818",
        "#141414",
        "#E8E8E8",
    ],
    "M_GRAY": [
        "#404040",
        "#404040",
        "#141414",
        "#E8E8E8",
    ],
    "M_RED": [
        "#D03030",
        "#E02020",
        "#C03030",
        "#800000",
    ],
    "M_RED1": [
        "#902020",
        "#C01010",
        "#802020",
        "#A00000",
    ],
    "M_RED2": [
        "#701818",
        "#900C0C",
        "#802020",
        "#E00000",
    ],
    "M_YELLOW": [
        "#D0D000",
        "#E0E000",
        "#D0D000",
        "#808000",
    ],
    "M_YELLOW1": [
        "#909000",
        "#A0A000",
        "#808000",
        "#A0A000",
    ],
    "M_YELLOW2": [
        "#707000",
        "#808000",
        "#A0A000",
        "#C0C000",
    ],
    "M_GREEN": [
        "#00C000",
        "#00D000",
        "#00C000",
        "#008000",
    ],
    "M_GREEN1": [
        "#008000",
        "#009000",
        "#008000",
        "#00A000",
    ],
    "M_GREEN2": [
        "#005000",
        "#006000",
        "#00A000",
        "#00C000",
    ],
    "M_PINK": [
        "#FF00FF",
        "#FF00FF",
        "#C000C0",
        "#E000E0",
    ],
    "M_PINK1": [
        "#B000B0",
        "#B000B0",
        "#900090",
        "#900090",
    ],
    "M_CYAN": [
        "#00FFFF",
        "#00FFFF",
        "#00FFFF",
        "#008080",
    ],
    "M_CYAN1": [
        "#00B0B0",
        "#00B0B0",
        "#00B0B0",
        "#00A0A0",
    ],
    "M_TAB": [
        "#2090C0",
        "#2090C0",
        "#C05050",
        "#000000",
    ],
    "M_TAB1": [
        "#104860",
        "#104860",
        "#402020",
        "#A0A0A0",
    ],
    "M_TAB2": [
        "#082430",
        "#082430",
        "#281010",
        "#C0C0C0",
    ],
    "checkmark": [
        "checkmark0",
        "checkmark0",
        "checkmark1",
        "checkmark2",
    ],
    "arrow-up": [
        "arrow-up0",
        "arrow-up0",
        "arrow-up1",
        "arrow-up2",
    ],
    "arrow-down": [
        "arrow-down0",
        "arrow-down0",
        "arrow-down1",
        "arrow-down2",
    ],
    "radio": [
        "radio0",
        "radio0",
        "radio1",
        "radio2",
    ],
}
